apiVersion: v1
kind: Service
metadata:
  name: {{ template "parse.fullname" . }}
  labels:
    app: {{ template "parse.name" . }}
    chart: {{ template "parse.chart" . }}
    release: "{{ .Release.Name }}"
    heritage: "{{ .Release.Service }}"
spec:
  type: {{ .Values.service.type }}
  {{- if eq .Values.service.type "LoadBalancer" }}
  loadBalancerIP: {{ default "" .Values.service.loadBalancerIP }}
  {{- end }}
  ports:
  - name: server-http
    port: {{ .Values.server.port }}
    targetPort: server-http
  - name: dashboard-http
    port: {{ .Values.service.port }}
    targetPort: dashboard-http
  selector:
    app: {{ template "parse.name" . }}
    release: "{{ .Release.Name }}"